# $Revision: 1.28 $, $Date: 2010/08/21 19:08:18 $
%include	/usr/lib/rpm/macros.php
%define		_class		PEAR
%define		_subclass	Info
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - show Information about your PEAR install and its packages
Summary(pl.UTF-8):	%{_pearname} - pokazywanie informacji o instalacji PEAR-a i jego pakietach
Name:		php-pear-%{_pearname}
Version:	1.9.2
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a10ff525d7edd407daba83f8a2f85b38
URL:		http://pear.php.net/package/PEAR_Info/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1.0
Requires:	php-pcre
Requires:	php-pear
Requires:	php-pear-Console_Getargs >= 1.3.3
Requires:	php-pear-PEAR >= 1:1.3.2
Suggests:	php-pear-PHPUnit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(PHPUnit.*)

%description
This package generates a comprehensive information page for your
current PEAR install.
- The format for the page is similar to that for phpinfo() except
  using PEAR colors.
- Has complete PEAR Credits (based on the packages you have
  installed).
- Will show if there is a newer version than the one presently
  installed (and what its state is).
- Each package has an anchor in the form pkg_PackageName - where
  PackageName is a case-sensitive PEAR package name.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet generuje wyczerpującą stronę informacyjną o aktualnej
instalacji PEAR-a.
- Format strony jest podobny do formatu phpinfo() oprócz użytych
  kolorów PEAR-a.
- Ma pełną listę zasług PEAR-a (opartą na zainstalowanych pakietach).
- Pokazuje, czy jest nowsza wersja zainstalowanych klas (i jaki jest
  ich status).
- Każdy pakiet ma swoje zakotwiczenie w postaci pkg_NazwaPakietu -
  gdzie NazwaPakietu to nazwa pakietu PEAR-a z rozróżnieniem wielkości
  liter.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/data/%{_pearname}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_Info.spec,v $
Revision 1.28  2010/08/21 19:08:18  glen
- updated deps with pearize.sh
- release 2

Revision 1.27  2010/08/20 13:06:22  glen
- updated to: 1.9.2

Revision 1.26  2009/01/11 00:17:45  adamg
- updated to 1.9.1

Revision 1.25  2008/10/20 08:02:26  adamg
- updated to 1.9.0

Revision 1.24  2008-05-03 08:45:55  adamg
- updated to 1.8.0

Revision 1.23  2008-01-31 12:16:09  glen
- rel 2

Revision 1.22  2007-09-01 20:17:24  adamg
- updated to 1.7.0

Revision 1.21  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.19  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.18  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.17  2006/03/13 07:21:53  glen
- 1.6.1

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.14  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.13  2005/10/05 20:59:19  glen
- rel 2

Revision 1.12  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.11  2005/09/29 00:42:53  glen
- new pear packaging

Revision 1.10  2005/01/03 18:46:00  adamg
- updated to 1.6.0

Revision 1.9  2004/12/04 14:09:09  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.7  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.6  2004/01/03 12:42:06  adamg
- updated to 1.5.2

Revision 1.5  2003/12/23 15:21:07  adamg
- updated to 1.5.1
- add tests to %doc

Revision 1.4  2003/10/07 20:56:03  adamg
- do not use macros in URL

Revision 1.3  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.2  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.1  2003/06/03 21:21:23  adamg
- initial import
